//
//  XTHtmlTagPre.m
//  TadsTerp
//
//  Created by Rune Berg on 31/08/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagPre.h"


@implementation XTHtmlTagPre

+ (NSString *)name
{
	return @"pre";
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	return YES;
}

+ (BOOL)blockLevelSpacing
{
	return YES;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagPre:self];
}

@end
